# 2Graetz

A Basilisk based solver for conjugate Graetz problems.

How to run: 
1. Make sure  [Basilisk](http://basilisk.fr/) is first installed.
   **NOTE:** A recent [major
   update](https://hub.darcs.net/basilisk/basilisk/patch/64dacce914da3b4438ca0857fa2327cd397a035a)
   in basilisk that implements automatic boundary conditions and new
   stencil routines has been found to break many parts of SLTORC. It is
   therefore recommended to install a previous version of basilisk via:
   ``darcs get --lazy --tag 21-08-17 http://basilisk.fr/basilisk`` for
   the time being. 

2. Configure directories/paths in the top few lines of the Makefile.

3. Run ``make``, followed by ``make install``.

4. Edit input.cfg to set problem parameters (check out the "cases"
   directory for examples).

5. Run ``sltorc``.
